~alpine/aports

This thread contains a patchset. You're looking at the original emails, but you may wish to use the patch review UI. Review patch

[alpine-aports] [PATCH] main/ansible: upgrade to 1.9.4

Sören Tempel
Details
Message ID
<1444570218-19589-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1444570218
DKIM signature
missing
Download raw message
Patch: +15 -9
---
 main/ansible/APKBUILD | 24 +++++++++++++++---------
 1 file changed, 15 insertions(+), 9 deletions(-)

diff --git a/main/ansible/APKBUILD b/main/ansible/APKBUILD
index cfe563a..5bfbecc 100644
--- a/main/ansible/APKBUILD
+++ b/main/ansible/APKBUILD
@@ -1,7 +1,8 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
 # Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
 pkgname=ansible
-pkgver=1.9.3
-pkgrel=1
+pkgver=1.9.4
+pkgrel=0
 pkgdesc="A configuration-management, deployment, task-execution, and multinode orchestration framework"
 url="http://ansible.com"
 arch="noarch"
@@ -22,12 +23,17 @@ package() {
 	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
 
 	mkdir -p "$pkgdir"/usr/share/man/man1
-	_manpages="$pkgname-playbook.1 $pkgname.1"
-	for _manpage in "$_builddir"/docs/man/man1/*.1; do
-		install -Dm644 "$_manpage" "$pkgdir"/usr/share/man/man1/ || return 1
-	done
+	install -Dm644 "$_builddir"/docs/man/man1/*.1 \
+		"$pkgdir"/usr/share/man/man1/ || return 1
+
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname
+	install -m644 README.md "$pkgdir"/usr/share/doc/$pkgname || return 1
+	install -m644 lib/ansible/modules/core/README.md \
+		"$pkgdir"/usr/share/doc/$pkgname/README.core.md || return 1
+	install -m644 lib/ansible/modules/extras/README.md \
+		"$pkgdir"/usr/share/doc/$pkgname/README.extras.md || return 1
 }
 
-md5sums="55be10fca4e9e0172a15e88874028eff  ansible-1.9.3.tar.gz"
-sha256sums="2594f642fd800056a427c1026410dc6ed8dfa7c0033f5c3d187abdb2b0d4eeed  ansible-1.9.3.tar.gz"
-sha512sums="280d7506417affc11fe8c8715f82ffb011991e48e96db73aca915e1393d51073564c78a98b018c380b7fb8e697ce0fac6208822da44f2bac545f142707325d43  ansible-1.9.3.tar.gz"
+md5sums="ad411285d4a78e78e3a49f4ee2c7cc3f  ansible-1.9.4.tar.gz"
+sha256sums="972c2face49f1577bd0ff7989440bfe2820e66fb10d7579915cc536bccfa6fe3  ansible-1.9.4.tar.gz"
+sha512sums="53ef5b3390be620cedc92687c7c9853c42f38547494f9b77056d5ea48ccd8f43d193648a7f4569fcba5afad343a9202b123296ab47c8cd02eecfe455d83b9586  ansible-1.9.4.tar.gz"
-- 
2.6.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---